Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.ToolButtonStyle

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.ToolButtonStyle

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.ToolButtonStyle

extends java.lang.Enum
implements QtEnumerator

The style of the tool button, describing how the button's text and icon should be displayed.

See Also:
  Serialized Form

Field Summary
`static Qt.ToolButtonStyle` | `ToolButtonIconOnly` Only display the icon.
`static Qt.ToolButtonStyle` | `ToolButtonTextBesideIcon` The text appears beside the icon.
`static Qt.ToolButtonStyle` | `ToolButtonTextOnly` Only display the text.
`static Qt.ToolButtonStyle` | `ToolButtonTextUnderIcon` The text appears under the icon.

Method Summary
`static Qt.ToolButtonStyle` | `resolve(int value)` Returns the ToolButtonStyle constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.ToolButtonStyle` | `valueOf(java.lang.String name)`
`static Qt.ToolButtonStyle[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ToolButtonIconOnly

    public static final Qt.ToolButtonStyle ToolButtonIconOnly

  Only display the icon.

### ToolButtonTextOnly

    public static final Qt.ToolButtonStyle ToolButtonTextOnly

  Only display the text.

### ToolButtonTextBesideIcon

    public static final Qt.ToolButtonStyle ToolButtonTextBesideIcon

  The text appears beside the icon.

### ToolButtonTextUnderIcon

    public static final Qt.ToolButtonStyle ToolButtonTextUnderIcon

  The text appears under the icon.

Method Detail

### values

    public static Qt.ToolButtonStyle[] values()

### valueOf

    public static Qt.ToolButtonStyle valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.ToolButtonStyle resolve(int value)

  Returns the ToolButtonStyle constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD